//	yf Net differencer
//		2005.09.29 - 2005.10.09 Yoshiaki.Ueda
#ifndef yf_NET_DIFFERENCER_H
#define yf_NET_DIFFERENCER_H
#include "yfNetList.h"
#include <list>
using namespace std;

class yfNetDifferencer
{
public:
	class Diff
	{
	public:
		typedef enum { UNKNOWN, SAME, LIKE, FILE1_ONLY, FILE2_ONLY } STATUS;
		STATUS m_status;
		unsigned m_differNode;
		yfNetList::Net* m_file1Net;
		yfNetList::Net* m_file2Net;
//		Diff(unsigned differNode,			//same or like
//				yfNetList::Net* m_file1Net =NULL,
//				yfNetList::Net* m_file2Net =NULL );
		Diff(STATUS status =UNKNOWN,	//differ
				yfNetList::Net* m_file1Net =NULL,
				yfNetList::Net* m_file2Net =NULL );
	};
	typedef list<Diff> List;
	List m_list;
	bool Execute(const wxString& file1Name, unsigned file1Mode,
			const wxString& file2Name, unsigned file2Mode);
	void GetText(wxTextCtrl& text) const;
	const wxString GetText() const;
protected:
	yfNetList m_net1List, m_net2List;
};

#endif//yf_NET_DIFFERENCER_H
